Add products to a lifecycle workflow group
Associates one or more classes with a lifecycle workflow group. Pass an array of class_ids in the request body. The group's automated actions will then apply to all candidates in those classes.
Path Parameters
- Type: stringlifecycle
_workflow _group _id requiredUnique identifier of the lifecycle workflow group.
Body
required
application/json
- Type: objectlifecycle
_workflow _group _products required
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for patch/apis/institutions/lifecycle_workflow_groups/{lifecycle_workflow_group_id}/products
curl https://school.fullfabric.cloud/apis/institutions/lifecycle_workflow_groups/507f1f77bcf86cd799439011/products \
--request PATCH \
--header 'Content-Type: application/json' \
--header 'FF-Auth: YOUR_SECRET_TOKEN' \
--data '{
"lifecycle_workflow_group_products": {
"class_ids": [
"6385bb46976a771912003e6a",
"63a317fd9a52af198700007e"
]
}
}'
{
"lifecycle_workflow_group_id": "5e74ec13fcf4c740d6004de3",
"lifecycle_workflow_group_name": "MBA Admissions Workflow",
"products": [
{
"class_id": "6385bb46976a771912003e6a",
"class_name": "MBA Full-Time September 2025",
"programme_id": "6385baad976a771912000918",
"programme_name": "MBA Full-Time"
},
{
"class_id": "63a317fd9a52af198700007e",
"class_name": "Executive MBA January 2026",
"programme_id": "63a316cc9a52af0e2f000579",
"programme_name": "Executive MBA"
},
{
"class_id": "5e74ec13fcf4c740d6004de4",
"class_name": "MSc Finance October 2025",
"programme_id": "5e74ec13fcf4c740d6004de2",
"programme_name": "MSc Finance"
}
]
}